package com.zcxk.core.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @ClassName LoginSourceEnum
 * @author Andy
 * @description: 登录来源
 * @date 2021/7/16
 * @version V1.0
 **/
@Getter
@AllArgsConstructor
public enum LoginSourceEnum {

    /**
     * mobile
     */
    MOBILE(1, "mobile"),

    /**
     * weibo
     */
    WEIBO(2, "weibo"),

    /**
     * qq
     */
    QQ(3, "qq"),

    /**
     * weixin
     */
    WEIXIN(4, "weixin"),
    ;
    private Integer code;

    private String value;

}
